jQuery(document).ready(function($) {
    function showError(message) {
        $('#error-message').html(message).show();
    }

    function hideLoginPopup() {
        $('#login-popup').hide();
    }

    function showLoginPopup() {
        $('#login-popup').show();
    }

    $('#continue-as-guest').on('click', function() {
        hideLoginPopup();
    });

    $('#login-button').on('click', function() {
        $('#login-form').toggle();
    });

    $('#ajax-login-form').on('submit', function(e) {
        e.preventDefault();

        var $form = $(this);
        var formData = $form.serialize();

        $.ajax({
            url: wc_checkout_params.ajax_url,
            type: 'POST',
            data: {
                action: 'ajax_login',
                log: $form.find('#user_login').val(),
                pwd: $form.find('#user_pass').val(),
                rememberme: $form.find('#rememberme').is(':checked')
            },
            success: function(response) {
                if (response.success) {
                    window.location.href = response.data.redirect_url;
                } else {
                    showError(response.data.message);
                }
            },
            error: function() {
                showError('An error occurred. Please try again.');
            }
        });
    });

    $('#billing_email').on('blur', function() {
        var email = $(this).val();
        $.ajax({
            url: wc_checkout_params.ajax_url,
            type: 'POST',
            data: {
                action: 'check_user_email',
                email: email
            },
            success: function(response) {
                if (response.success && response.data.exists) {
                    showLoginPopup();
                }
            }
        });
    });
});
